/* Global */

body {
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 14px;
    background-color: #e4e4e4 !important;
}

.card {
    margin: 15px;
    background-color: #ffffff;
    box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.16), 5px 5px 10px 0 rgba(0, 0, 0, 0.12);
}

.text-format {
    padding: 10px 15px;
    width: 100%;
    box-sizing: border-box;
    font-size: 17px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.text-format .glyphicon {
    margin-right: 7px;
    color: #920000;
    font-size: 20px;
}

.title-format {
    font-size: 20px;
    font-weight: bold;
    animation: textShadow 3s infinite;
}

hr {
    border-top: 1px solid #c7c7c7 !important;
    margin-right: 20px;
    margin-left: 20px;
}

@keyframes textShadow {
    0% {
        text-shadow: #920000 0 0 0px;
    }

    50% {
        text-shadow: #920000 0 0 5px;
    }

    100% {
        text-shadow: #920000 0 0 0px;
    }
}

/* Left part */

aside {
    float: left;
    color: #424242;
}

aside img {
    width: 100%;
}

aside h1 {
    width: 100%;
    color: black;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

aside .name {
    width: 100%;
    height: 50px;
    background-color: #e4e4e475;
    text-align: center;
    font-size: 25px;
    line-height: 50px;
    display: inline-block;
    transform: translateY(-150%);
    animation-name: displayFromShadow;
    animation-duration: 2.5s;
    font-family: monospace;
}

.counter-translate {
    margin-top: -70px;
}

.ability-text-format {
    padding: 5px 15px;
    width: 100%;
    box-sizing: border-box;
    font-size: 15px;
}

.progress-bar {
    box-sizing: border-box;
    padding-left: 15px;
    padding-right: 15px;
    margin-bottom: 10px;
}

.progress-empty {
    width: 100%;
    height: 20px;
    background-color: #eeeeee;
    border-radius: 10px;
}

.progress-full {
    width: 0;
    height: 20px;
    background-color: #920000;
    border-radius: 10px;
    color: #ffffff;
    text-align: center;
}

.progress-full:hover {
    font-weight: bold;
    font-size: 16px;
    animation: pulse 2s infinite;
}

@keyframes displayFromShadow {
    0% {
        color: transparent;
        background-color: transparent;
    }

    50% {
        color: rgba(0, 0, 0, 0.25);
        background-color: #e4e4e475;
    }

    100% {
        color: black;
        background-color: #e4e4e475;
    }
}

@keyframes pulse {
    0% {
        box-shadow: 0 0 0 0 #920000;
    }

    70% {
        box-shadow: 0 0 0 5px #9200004f;
    }

    100% {
        box-shadow: 0 0 0 0 #920000;
    }
}

/* Right part */

main {
    float: right;
}

main .card {
    padding: 25px 15px;
    animation-name: slideToTop;
    animation-duration: 2.5s;
}

main .title-format {
    font-size: 25px;
}

main .title-format span {
    margin-right: 15px !important;
}

.main-div {
    margin-left: 25px;
}

.main-intitule {
    font-size: 18px;
    font-weight: bold;
    color: #868686;
}

.main-periode {
    font-size: 17px;
    color: #920000;
    margin-left: 10px;
    margin-top: 15px;
}

.main-periode span {
    margin-right: 10px;
}

.main-detail {
    margin-top: 15px;
    font-size: 16px;
}

@keyframes slideToTop {
    0% {
        margin-top: 850px;
    }

    100% {
        margin-top: 15px;
    }
}